Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAbstractPrintDialog.PrintDialogOption

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QAbstractPrintDialog.PrintDialogOption

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAbstractPrintDialog

    public static final class QAbstractPrintDialog.PrintDialogOption

extends java.lang.Enum
implements QtEnumerator

Used to specify which parts of the print dialog should be visible.

See Also:
  Serialized Form

Field Summary
`static QAbstractPrintDialog.PrintDialogOption` | `DontUseSheet` Do not make the native print dialog a sheet.
`static QAbstractPrintDialog.PrintDialogOption` | `None` None of the options are enabled.
`static QAbstractPrintDialog.PrintDialogOption` | `PrintCollateCopies`
`static QAbstractPrintDialog.PrintDialogOption` | `PrintPageRange` The page range selection option is enabled.
`static QAbstractPrintDialog.PrintDialogOption` | `PrintSelection` The print selection option is enalbed.
`static QAbstractPrintDialog.PrintDialogOption` | `PrintShowPageSize` Show the page size + margins page only if this is enabled.
`static QAbstractPrintDialog.PrintDialogOption` | `PrintToFile` The print to file option is enabled.

Method Summary
`static QAbstractPrintDialog.PrintDialogOptions` | `createQFlags(QAbstractPrintDialog.PrintDialogOption[] values)` This function creates a com.trolltech.qt.gui.QAbstractPrintDialog$PrintDialogOptions with the specified `com.trolltech.qt.gui.QAbstractPrintDialog$PrintDialogOption[]` QAbstractPrintDialog$PrintDialogOption values set.
`static QAbstractPrintDialog.PrintDialogOption` | `resolve(int value)` Returns the QAbstractPrintDialog$PrintDialogOption constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractPrintDialog.PrintDialogOption` | `valueOf(java.lang.String name)`
`static QAbstractPrintDialog.PrintDialogOption[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### None

    public static final QAbstractPrintDialog.PrintDialogOption None

  None of the options are enabled.

### PrintToFile

    public static final QAbstractPrintDialog.PrintDialogOption PrintToFile

  The print to file option is enabled.

### PrintSelection

    public static final QAbstractPrintDialog.PrintDialogOption PrintSelection

  The print selection option is enalbed.

### PrintPageRange

    public static final QAbstractPrintDialog.PrintDialogOption PrintPageRange

  The page range selection option is enabled.

### PrintShowPageSize

    public static final QAbstractPrintDialog.PrintDialogOption PrintShowPageSize

  Show the page size + margins page only if this is enabled.

### PrintCollateCopies

    public static final QAbstractPrintDialog.PrintDialogOption PrintCollateCopies

### DontUseSheet

    public static final QAbstractPrintDialog.PrintDialogOption DontUseSheet

  Do not make the native print dialog a sheet. By default on Mac OS X, the native dialog is made a sheet if it has a parent that can accept sheets and is visible. Internally, Mac OS X tracks whether a printing session and not which particular dialog should be a sheet or not. Therefore, make sure this value matches between the page setup dialog and the print dialog or you can potentially end up in a modal loop that you can't break.

Method Detail

### values

    public static QAbstractPrintDialog.PrintDialogOption[] values()

### valueOf

    public static QAbstractPrintDialog.PrintDialogOption valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QAbstractPrintDialog.PrintDialogOptions createQFlags(QAbstractPrintDialog.PrintDialogOption[] values)

  This function creates a com.trolltech.qt.gui.QAbstractPrintDialog$PrintDialogOptions with the specified `com.trolltech.qt.gui.QAbstractPrintDialog$PrintDialogOption[]` QAbstractPrintDialog$PrintDialogOption values set.

### resolve

    public static QAbstractPrintDialog.PrintDialogOption resolve(int value)

  Returns the QAbstractPrintDialog$PrintDialogOption constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD